--
-- Database: `app-idea`
--

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `user_id` varchar(36) DEFAULT NULL,
  `user_hashtag` varchar(6) NOT NULL,
  `username` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` char(60) NOT NULL,
  `rank` tinyint(4) DEFAULT 0,
  `avatar_url` varchar(255) NOT NULL,
  `location` varchar(20) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `language` tinyint(4) DEFAULT 0,
  `cash` int(11) DEFAULT 0,
  `posts` int(11) DEFAULT 0,
  `followers` int(11) DEFAULT 0,
  `following` int(11) DEFAULT 0,
  `last_login` datetime DEFAULT NULL,
  `created` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Table structure for table `pictures`
--

CREATE TABLE `pictures` (
  `user_id` varchar(36) NOT NULL,
  `picture_id` int(11) NOT NULL,
  `likes` int(11) DEFAULT 0,
  `dislikes` int(11) DEFAULT 0,
  `location` varchar(20) NOT NULL,
  `description` varchar(250) DEFAULT NULL,
  `created` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
