package main

import (
	"git.umbach.dev/app-idea/rest-api/routers/config"
	"git.umbach.dev/app-idea/rest-api/routers/database"
	"git.umbach.dev/app-idea/rest-api/routers/router"

	_ "github.com/go-sql-driver/mysql"
	"github.com/gofiber/fiber/v2"
)

func main() {
	app := fiber.New()

	router.SetupRoutes(app)

	config.LoadConfig()
	database.InitDatabase()

	app.Listen(config.GetConfig().Server.Host)
}
