package router

import (
	"git.umbach.dev/app-idea/rest-api/routers/api/v1/user"

	"github.com/gofiber/fiber/v2"
)

func SetupRoutes(app *fiber.App) {
	api := app.Group("/api/v1")

	app.Get("/user", user.GetUser)

	// Users
	users := api.Group("/users")
	users.Get("/", user.GetUsers)
	users.Post("/", user.NewUser)
}
